unit Unit1;

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, Forms, Controls, Graphics, Dialogs, StdCtrls, ComCtrls,
  ExtCtrls, frxClass, frxDesgn, frxExportRTF, frxExportPDF, frxPDFViewer;

type

  { TForm1 }

  TForm1 = class(TForm)
    DescriptionM: TMemo;
    DesignB: TButton;
    FileNameL: TLabel;
    frxDesigner1: TfrxDesigner;
    frxPDFExport1: TfrxPDFExport;
    frxReport1: TfrxReport;
    frxRTFExport1: TfrxRTFExport;
    GroupBox1: TGroupBox;
    GroupBox2: TGroupBox;
    ImageList1: TImageList;
    PreviewB: TButton;
    Shape1: TShape;
    Tree: TTreeView;
    procedure DesignBClick(Sender: TObject);
    procedure FormShow(Sender: TObject);
    procedure PreviewBClick(Sender: TObject);
    procedure TreeChange(Sender: TObject; Node: TTreeNode);
  private
     WPath: string;
  public

  end;

var
  Form1: TForm1;

implementation

{$R *.lfm}

{ TForm1 }

procedure TForm1.PreviewBClick(Sender: TObject);
begin
  frxReport1.ShowReport;
end;

procedure TForm1.TreeChange(Sender: TObject; Node: TTreeNode);
begin
  frxReport1.LoadFromFile(WPath + IntToStr(Node.StateIndex) + '.fr3');
  FileNameL.Caption := ' Report file: ' + IntToStr(Node.StateIndex) + '.fr3';
  DescriptionM.Lines := frxReport1.ReportOptions.Description;
end;

procedure TForm1.DesignBClick(Sender: TObject);
begin
  frxReport1.DesignReport;
end;

procedure TForm1.FormShow(Sender: TObject);
begin
  {$IFDEF Linux}
  frxReport1.IniFile := 'tmp/fr6.ini';
  {$ELSE}
  frxReport1.IniFile := '\SoftWare\Fast Reports';
  {$ENDIF}
  WPath := ExtractFilePath(Application.ExeName);
  Tree.Items.Item[0].Selected := True;
end;

end.

