unit frxPDFSignature;

{$I frx.inc}

interface

uses
  Classes, SysUtils,
  frxASN1, frxPDFPFX, frxHelpers;

type
  TSignatureSatus = (ssOK, ssWrongPassword, ssUnknownHashAlgorithm,
    ssUnknownChipherAlgorithm, ssInvalidASN1File, ssCantParseCertificate,
    ssPrepareSignError, ssSignDigestError, ssCertificateNotFound);


  TfrxPDFSignature = class
  private
    FStatus: TSignatureSatus;
    FPFX: TfrxPKCS12Document;
    FDigest: TfrxASN1Data;
    FSignedDigest: TfrxASN1Data;
    FSign: TfrxASN1Base;
    FDebugLog: TLogList;
  protected
    procedure PrepareSign;
    procedure CalcHash(Stream: TStream;
      ContentPosition, ContentEndPosition: Int64);
  public
    constructor Create(Path: WideString; Password: AnsiString);
    destructor Destroy; override;
    function CalcPDFSign(Stream: TStream;
      ContentPosition, ContentEndPosition: Int64): Ansistring;

    property Status: TSignatureSatus read FStatus write FStatus;
    property DebugLog: TLogList read FDebugLog;
  end;

implementation
end.
