unit frxCollections;

interface

{$I frx.inc}

uses
  SysUtils, {$IFNDEF FPC}Windows, Messages,{$ENDIF} Classes;

type

  { TfrxCollectionItem }

  TfrxCollectionItem = class(TCollectionItem)
  protected
    FUniqueIndex: Integer;
    FIsInherited: Boolean;
    function GetInheritedName: String; virtual;
    procedure SetInheritedName(const Value: String); virtual;
  public
    constructor Create(ACollection: TCollection); override;
    procedure CreateUniqueIName(ACollection: TCollection);
    function IsUniqueNameStored: Boolean; virtual;
    property IsInherited: Boolean read FIsInherited write FIsInherited;
    property InheritedName: String read GetInheritedName write SetInheritedName;
    property UniqueIndex: Integer read FUniqueIndex write FUniqueIndex;
  end;

{$WARNINGS OFF}
  TfrxCollection = class(TCollection)
  public
    procedure SerializeProperties(Writer: TObject; Ancestor: TfrxCollection; Owner: TComponent); virtual;
    procedure DeserializeProperties(PropName: String; Reader: TObject; Ancestor: TfrxCollection); virtual;
    function FindByName(Name: String): TfrxCollectionItem; virtual;
  end;
{$WARNINGS ON}

implementation
end.
