
{******************************************}
{                                          }
{             FastReport VCL               }
{         Report datasets selector         }
{                                          }
{         Copyright (c) 1998-2021          }
{            by Fast Reports Inc.          }
{                                          }
{******************************************}

unit frxEditReportData;

interface

{$I frx.inc}

uses
  {$IFNDEF FPC}
  Windows, Messages,
  {$ENDIF}
  SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, frxClass, CheckLst, frxBaseForm, frxComCtrls, Menus, ExtCtrls
  {$IFDEF FPC}
  , LCLType
  {$ENDIF}
{$IFDEF Delphi6}
, Variants
{$ENDIF}
{$IFDEF Delphi16}
, System.Types
{$ENDIF}
;



type
  TfrxDataSetsActions = ( dsaSortSelectedData = 59, dsaSortData = 60,
    dsaUnsorted = 127, dsaAscending = 125, dsaDescending = 126,
    dsaUnselected = 113, dsaAll = 128, dsaSelected = 129);

  TfrxDataSetsSortType = (dssUnsorted, dssAscending, dssDescending);
  TfrxDataSetsSortSelectedType = (dsssAll, dsssSelected, dsssUnselected);

  TfrxReportDataForm = class(TfrxBaseForm)
    OKB: TButton;
    CancelB: TButton;
    DatasetsLB: TCheckListBox;
    SelAllCB: TCheckBox;
    DSPanel: TPanel;
    FooterPanel: TPanel;
    procedure FormShow(Sender: TObject);
    procedure FormHide(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure DatasetsLBClickCheck(Sender: TObject);
    procedure FormKeyDown(Sender: TObject; var Key: Word;
      Shift: TShiftState);
    procedure SelAllCBClick(Sender: TObject);
  private
    FStandalone: Boolean;
    FToolWithFilterPanel: TfrxToolWithFilterPanel;
    FSortButton: TfrxToolPanelButton;
    FSortSelectedButton: TfrxToolPanelButton;
    FDataSetsSortType: TfrxDataSetsSortType;
    FDataSetsSortSelectedType: TfrxDataSetsSortSelectedType;
    FSortPopUp: TPopupMenu;
    FSortSelectedPopUp: TPopupMenu;
    FFilter: String;
    procedure BuildConnectionList;
    procedure BuildDatasetList;
    procedure UpdateCBState;
    procedure UpdateSelectedDS;
    procedure ToolOnClick(Sender: TObject);
    procedure CreatefrxToolWithFilterPanel(var ToolWithFilterPanel: TfrxToolWithFilterPanel);
    procedure CreateSortPopup;
    procedure CreateSortSelectedPopup;
    procedure EditChange(Sender: TObject);
  public
    Report: TfrxReport;
    procedure UpdateResouces; override;
  end;

implementation
end.
