
{******************************************}
{                                          }
{              FastReport v6.0             }
{                                          }
{         Copyright (c) 1998-2021          }
{            by Fast Reports Inc.          }
{                                          }
{******************************************}

unit frxIOTransportOAuthDialog;

interface

{$I frx.inc}

uses
  Classes, Forms, Controls, StdCtrls, ComCtrls,
  frxClass, frxIOTransportHelpers, frxBaseTransportConnection, Buttons, ExtCtrls,
  Graphics;

type
  TfrxOAuthTransportDialog = class(TfrxBaseOAuthTransportDialog)
    OkB: TButton;
    CancelB: TButton;
    RequiredLabel: TLabel;
    RememberPropertiesCheckBox: TCheckBox;
    PageControl: TPageControl;
    GeneralTabSheet: TTabSheet;
    ClientIDEdit: TEdit;
    ClientIDLabel: TLabel;
    RemoteDirComboBox: TComboBox;
    RemoteDirLabel: TLabel;
    ProxyTabSheet: TTabSheet;
    UseProxyServerCheckBox: TCheckBox;
    ProxyPasswordLabel: TLabel;
    ProxyUserNameLabel: TLabel;
    ProxyPortLabel: TLabel;
    ProxyHostLabel: TLabel;
    ProxyPasswordEdit: TEdit;
    ProxyUserNameEdit: TEdit;
    ProxyPortComboBox: TComboBox;
    ProxyHostComboBox: TComboBox;
    ClientSecEdit: TEdit;
    ClientSecLabel: TLabel;
    SpeedButton1: TSpeedButton;
    HideIdBtn: TSpeedButton;
    HideSecretBtn: TSpeedButton;
    OpenEyeImg: TImage;
    CloseEyeImg: TImage;
    SaveTokenCB: TCheckBox;
    ClearBtn: TButton;
    procedure ClearBtnClick(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure OkBClick(Sender: TObject);
    procedure FormKeyDown(Sender: TObject; var Key: Word; Shift: TShiftState);
    procedure ProxyPortComboBoxKeyPress(Sender: TObject; var Key: Char);
    procedure FormShow(Sender: TObject);
    procedure HideIdBtnClick(Sender: TObject);
    procedure UseProxyServerCheckBoxClick(Sender: TObject);
    procedure OpenHelpLink(Sender: TObject);
  protected
    function GetClientID: String; override;
    function GetClientSecret: String; override;
    function GetHelpLink: String; virtual; abstract;
  private
    procedure RequireIf(L: TLabel; Flag: Boolean; MR: integer = mrNone);
  public
    procedure InitControlsFromFilter(TransportFilter: TfrxInternetIOTransport); override;
    procedure InitFilterFromDialog(TransportFilter: TfrxInternetIOTransport); override;
    procedure UpdateResouces; override;
  end;

implementation
end.
