{******************************************}
{                                          }
{             FastReport VCL               }
{           OpenFilterQR object            }
{                                          }
{         Copyright (c) 1998-2021          }
{            by Fast Reports Inc.          }
{                                          }
{******************************************}

unit frxOpenFilterQR;

interface
{$I frx.inc}

uses
  SysUtils, Windows, Messages, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, ComCtrls, Printers, TypInfo, Jpeg, DB, System.Generics.Collections,
  frxClass, frxVariables, frxPrinter, frxDCtrl, frxBarcode, frxBarcod, StrUtils,
{$IFDEF DELPHI16}
  VCLTee.TeeProcs, VCLTee.TeEngine, VCLTee.Chart, VCLTee.Series, VCLTee.TeCanvas
{$ELSE}
  TeeProcs, TeEngine, Chart, Series, TeCanvas
{$ENDIF}
{$IFDEF DELPHI16}
 {$IFDEF TeeChartPro}, VCLTEE.TeeEdit{$IFNDEF TeeChart4}, VCLTEE.TeeEditCha{$ENDIF} {$ENDIF}
{$ELSE}
 {$IFDEF TeeChartPro}, TeeEdit{$IFNDEF TeeChart4}, TeeEditCha{$ENDIF} {$ENDIF}
{$ENDIF}
 ,frxChart, frxChBox, frxOLE, frxRich,
  frxCross, frxDBSet, frxUnicodeUtils, frxUtils, fs_ipascal,
  frxCustomDB,frxBarcode2D ,frxADOComponents
{$IFDEF Delphi6}
, Variants
{$ENDIF};

type
  TppDuplex = (dpNone, dpHorizontal, dpVertical);
  TShapeType = (stRectangle, stRoundRect, stEllipse, stSquare,
                stRoundSquare ,stCircle);

  TUnits =    (Characters, Inches, MM, Pixel, Native) ;

  TFilterType = (tDFM, tQR2);

  TAssignProp = procedure ();

{$IFDEF DELPHI16}
  [ComponentPlatformsAttribute(pidWin32 or pidWin64)]
{$ENDIF}
  TfrxOpenFilterQR = class(TfrxIOTransportFile)
  private
    FOpenFilter: TFilterType;
    FSplitPages: Boolean;
  protected
    function GetFilterString: String; override;
  public
    constructor Create(AOwner: TComponent); override;
    procedure SetOpenFilter(Value:TFilterType);
    function DoFilterProcessStream(aStream: TStream; ProcesssingObject: TObject): Boolean; override;
    function OpenFilter: Boolean; override;
    class function GetDescription: String; override;
    procedure AssignFilter(Source: TfrxCustomIOTransport); override;

published
	property Filter: TFilterType read FOpenFilter write SetOpenFilter;
  property SplitPages: Boolean  read FSplitPages write FSplitPages;

  end;

implementation
end.
