unit frxPlatformServices;

{$I frx.inc}

interface

uses
  Classes, SysUtils, StrUtils, frxUtils
{$IFDEF FPC}
  , lazutf8
{$ENDIF};

type
  // from frxClass
  {$IFDEF DELPHI16}
    frxInteger = NativeInt;
  {$ELSE}
    frxInteger = {$IFDEF FPC}PtrInt{$ELSE}Integer{$ENDIF};
  {$ENDIF}

const
  {$IFDEF NONWINFPC}
  LineBreak = #$0A;
  {$ELSE}
  LineBreak = #$0D#$0A;
  {$ENDIF}

function frxLength(s: string): frxInteger;{$IFNDEF FPC}overload;{$ENDIF}{$IFDEF Delphi9} inline;{$ENDIF}
function frxPos(const substr, s: string): frxInteger;{$IFNDEF FPC}{$IFNDEF DELPHI12}overload;{$ENDIF}{$ENDIF}{$IFDEF Delphi9} inline;{$ENDIF}
//frxPosEx function has been tested only on Lazarus.(not used in Delphi yet)
function frxPosEx(const substr, s: string; StartPos: frxInteger = 1): frxInteger;{$IFNDEF FPC}{$IFNDEF DELPHI12}overload;{$ENDIF}{$ENDIF}{$IFDEF Delphi9} inline;{$ENDIF}
function frxCopy(const s: string; Index, Count: frxInteger): string; {$IFNDEF FPC}{$IFNDEF DELPHI12}overload;{$ENDIF}{$ENDIF}{$IFDEF Delphi9} inline;{$ENDIF}
function frxUpperCase(const s: string): string; {$IFNDEF FPC}overload;{$ENDIF}{$IFDEF Delphi9} inline;{$ENDIF}
function frxGetSymbol(const str: String; Index: frxInteger): {$IFDEF FPC}String{$ELSE}Char{$ENDIF}; {$IFNDEF FPC}overload;{$ENDIF}{$IFDEF Delphi9} inline;{$ENDIF}

procedure frxInsert(const source: string; var s: string; Index: frxInteger); {$IFNDEF FPC}overload;{$ENDIF}{$IFDEF Delphi9} inline;{$ENDIF}
procedure frxDelete(var s: string; Index, Count: frxInteger);{$IFNDEF FPC}overload;{$ENDIF}{$IFDEF Delphi9} inline;{$ENDIF}

{$IFNDEF FPC}
{$IFNDEF DELPHI12}
function frxPos(const substr, s: Widestring): frxInteger; overload;{$IFDEF Delphi9} inline;{$ENDIF}
function frxPosEx(const substr, s: Widestring; StartPos: frxInteger = 1): frxInteger; overload;{$IFDEF Delphi9} inline;{$ENDIF}
function frxCopy(const s: Widestring; Index, Count: frxInteger): Widestring; overload;{$IFDEF Delphi9} inline;{$ENDIF}
{$ENDIF}
function frxUpperCase(const s: Widestring): Widestring; overload;{$IFDEF Delphi9} inline;{$ENDIF}
function frxLength(s: Widestring): frxInteger; overload;{$IFDEF Delphi9} inline;{$ENDIF}
function frxGetSymbol(const str: WideString; Index: frxInteger): WideChar; overload;{$IFDEF Delphi9} inline;{$ENDIF}
procedure frxInsert(const source: Widestring; var s: Widestring; Index: frxInteger); overload;{$IFDEF Delphi9} inline;{$ENDIF}
procedure frxDelete(var s: WideString; Index, Count: frxInteger); overload;{$IFDEF Delphi9} inline;{$ENDIF}
{$ENDIF}


implementation
end.

